Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.logging.log4j.core.layout
Enum HtmlLayout.FontSize

    java.lang.Object
      java.lang.Enum<HtmlLayout.FontSize>
          org.apache.logging.log4j.core.layout.HtmlLayout.FontSize

All Implemented Interfaces:
  Serializable, Comparable<HtmlLayout.FontSize>

Enclosing class:
  HtmlLayout

    public static enum HtmlLayout.FontSize

extends Enum<HtmlLayout.FontSize>

Possible font sizes

Enum Constant Summary
`LARGE`
`LARGER`
`MEDIUM`
`SMALL`
`SMALLER`
`XLARGE`
`XSMALL`
`XXLARGE`
`XXSMALL`

Method Summary
`String` | `getFontSize()`
`static HtmlLayout.FontSize` | `getFontSize(String size)`
`HtmlLayout.FontSize` | `larger()`
`static HtmlLayout.FontSize` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HtmlLayout.FontSize[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SMALLER

    public static final HtmlLayout.FontSize SMALLER

### XXSMALL

    public static final HtmlLayout.FontSize XXSMALL

### XSMALL

    public static final HtmlLayout.FontSize XSMALL

### SMALL

    public static final HtmlLayout.FontSize SMALL

### MEDIUM

    public static final HtmlLayout.FontSize MEDIUM

### LARGE

    public static final HtmlLayout.FontSize LARGE

### XLARGE

    public static final HtmlLayout.FontSize XLARGE

### XXLARGE

    public static final HtmlLayout.FontSize XXLARGE

### LARGER

    public static final HtmlLayout.FontSize LARGER

Method Detail

### values

    public static HtmlLayout.FontSize[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlLayout.FontSize c : HtmlLayout.FontSize.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlLayout.FontSize valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getFontSize

    public String getFontSize()

### getFontSize

    public static HtmlLayout.FontSize getFontSize(String size)

### larger

    public HtmlLayout.FontSize larger()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.